
P2iLC							User's Manual					P2iLC
					Last revision date: December 10, 1995

NAME
	P2iLC - displays the last ProBoard caller on the InterMail screen

SYNOPSIS
	p2ilc [node#]

DESCRIPTION
	P2iLC is a little executable that will let you put your BBS last
	caller's name, city and log out time on InterMail's waiting screen.
	You have to be running ProBoard 2.0x+ and InterMail 2.2x for this
	program to work.  This program also needs the PROBOARD and IM
	environment variables to work properly.  These are described in the
	ProBoard and InterMail user's manuals respectively.

	P2iLC will also update your inbound history with the last caller
	statistics, including name and city, bytes sent/received, the connect
	baud (divided by 100) and the number of yells.  The baud and yells
	will be displayed in parenthesis following the city, so a record will
	look something like this:

				Some Name, Some City (264/1)

	for a user 'Some Name' calling from 'Some City' at 26,400 baud.  (S)he
	also paged you once while online.

	If you are running a single node system, using the program couldn't be
	easier:  simply run it.  Note that P2iLC fully supports the
	multi-server InterMail configurations with multiple FD.SYS files.  It
	will find and update the proper mailer screen as required.  To do
	this, however, P2iLC needs to know the server ID.  This is the same
	parameter that you pass to ProBoard's '-N' option.  You can pass 1 or
	nothing for the main server, but you must use the number as the single
	program argument for any server id higher than this.

	To install P2iLC, copy the executable somewhere in your path.  Then,
	modify the batch file that you're using to run ProBoard.  You need to
	run P2iLC after a user logs off.  That way, you can ensure that the
	proper information is showed on the mailer's screen.  Below is an
	example batch file for a two-node ProBoard setup (excerpt from
	EXEBBS):

					@echo off

					cd c:\pb\node_%5
					..\proboard -b%1 -p%2 -n%5 -t%3
					if errorlevel 99 goto end

					rem ...
					rem Errorlevels to process mail
					rem ...
					rem You need to get here (end of file)
					rem ....
					p2ilc %5
					imrun


OPTIONS
	There's only one parameter that P2iLC accepts and it is optional too.
	If you're running a multi-node system, you will have to pass the
	InterMail server number to P2iLC, so it knows which screen to update.
	It's a good idea to run P2iLC as soon as the caller logs off because
	it will always display the last record from the binary log and thus,
	if your other node's caller logs off too, you will end up with the
	same names on both server screens.  I know that this is easily fixable
	by having P2iLC scan the last binary log records for the node number,
	but since the collision is not something that common, I decided to
	forego this for faster execution speed.  If I get enough requests,
	though, I will throw that in as an option.

FILES
	P2iLC.EXE

DIAGNOSTICS
	P2iLC can display a couple of error messages that are
	self-explanatory.  Generally, it will mean that your environment is
	not setup correctly or the program can't find the files it needs.

IDENTIFICATION
	Author: Branislav L. Slantchev
	Revision Number: 1.2r1
	Release Date: December 10, 1995
	Copyright (C) 1995 by Branislav L. Slantchev

LEGAL
	P2iLC is using source code from PBLib, Copyright (C) 1995 by
	Branislav L. Slantchev

	P2iLC was compiled with the following products:

	BCC 3.1, TLINK 5.22b, TLIB 3.02, MAKE 3.6, Copyright by Borland Int'l.

	P2iLC (all executables, source and documentation files)
	are Copyright (C) 1995 by Branislav L. Slantchev.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	If you find this program useful, drop me a post card at the mail
	address (see file SUPPORT.DOC). I will really appreciate that.


